TestNs\MyApp\AssignedEquipmentAdditionalServiceType:
    properties:
        quantity:
            expose: true
            access_type: public_method
            serialized_name: quantity
            accessor:
                getter: getQuantity
                setter: setQuantity
            xml_attribute: true
            type: int
        periodicity:
            expose: true
            access_type: public_method
            serialized_name: periodicity
            accessor:
                getter: getPeriodicity
                setter: setPeriodicity
            xml_attribute: true
            type: int
        assignedEquipment:
            expose: true
            access_type: public_method
            serialized_name: assigned-equipment
            accessor:
                getter: getAssignedEquipment
                setter: setAssignedEquipment
            type: TestNs\MyApp\AssignedEquipmentType
